API ReferenceScheduling links
Update a scheduling link
Update an existing scheduling link.
AuthorizationBearer <token>
OAuth 2.0 authorization code flow
In: header
Path Parameters
link_id*string
Link ID
Request Body
application/json
Link update parameters
TypeScript Definitions
Use the request body type in TypeScript.
Request body for updating a scheduling link.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/links/link_01J5KC2G3MHPCECSQ6KM6FMDPC" \ -H "Content-Type: application/json" \ -d '{ "description": "Updated meeting description", "name": "Updated Meeting Name", "private_name": "Internal updated name", "type": "single" }'{ "default_duration": 30, "description": "A brief meeting to discuss your needs", "durations": [ 15, 30, 45 ], "fields": [ { "id": "field_123", "is_required": true, "label": "Company", "options": [], "type": "short_text" } ], "id": "link_01J5KC2G3MHPCECSQ6KM6FMDPC", "increment": 15, "name": "30 Minute Meeting", "private_name": "Quick sync with prospects", "scope": { "id": "scope_01J5KC4R7NHQFGT8V2WD9Y8H6X", "name": "Sales Team", "slug": "sales" }, "slug": "30min", "state": "active"}